"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.keysAsValues = void 0;
const keysAsValues = (obj) => {
    return new Proxy(obj, {
        get(target, prop) {
            if (prop in target) {
                return prop;
            }
            return undefined;
        },
    });
};
exports.keysAsValues = keysAsValues;
